Skip to main content
GET
Creator profile

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

openId
string

The creator's open id. Pass exactly one of openId or username.

username
string

The creator's TikTok handle, with or without @. Pass exactly one of openId or username.

breakdown
enum<string>
default:false

true adds GMV by content type and the top 10 products, read from the order lines (bounded, fails soft).

Available options:
true,
false
organization_id
integer

Use the TikTok Shop of this child brand (organization id) of your API key's organization

Response

{ lookup, found, creator: { openId, oecId, username, previousUsernames, nickname, avatarUrl, followerCount, secUid, profileUrl, firstSeenAt, lastSeenAt } | null, marketplaceStats: { fulfillmentRate, medianVideoViews, gmvAmount, gmvCurrency, videoCount } | null, sales: { currency, usernames, lifetime: { gmvGross, orders, itemsSold, commissionEstimated, firstSaleDay, lastOrderAt }, last28Days: { from, to, gmvGross, orders, itemsSold, commissionEstimated }, breakdown: { byContentType: [{ contentType, gmvGross, orders, itemsSold }], topProducts: [{ productId, title, gmvGross, orders, itemsSold }] } | null, breakdownStatus }, content: { videos, lives, views, likes, comments, lastPostedAt }, samples: { total, byState }, showcase: { total, byState }, segments: [{ segmentId, name }], sweptThrough, note }.